play.db

## Class SQLSplitter

- java.lang.Object
- - play.db.SQLSplitter

All Implemented Interfaces:
  java.lang.Iterable<java.lang.CharSequence>

    public class SQLSplitter
    extends java.lang.Object
    implements java.lang.Iterable<java.lang.CharSequence>

### Constructor Summary

Constructors
Constructor and Description
`SQLSplitter(java.lang.CharSequence sql)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.Iterator<java.lang.CharSequence>` `iterator()`
`static java.util.ArrayList<java.lang.CharSequence>` `splitSQL(java.lang.CharSequence sql)` Splits the SQL "properly" based on semicolons.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### SQLSplitter

    public SQLSplitter(java.lang.CharSequence sql)

### Method Detail

#### splitSQL

    public static java.util.ArrayList<java.lang.CharSequence> splitSQL(java.lang.CharSequence sql)

Splits the SQL "properly" based on semicolons. Respecting quotes and comments.

Parameters:
  `sql` - the SQL statement
Returns:
  List of all SQL statements

#### iterator

    public java.util.Iterator<java.lang.CharSequence> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<java.lang.CharSequence>`